public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/rtirq/
Date: Wed, 24 Oct 2018 11:58:10 +0000 (UTC)	[thread overview]
Message-ID: <1540382185.2cfc06b5af03ba8fc3369dfa013cdf7e60cbcb76.mgorny@gentoo> (raw)

commit:     2cfc06b5af03ba8fc3369dfa013cdf7e60cbcb76
Author:     Karl Linden <karl.j.linden <AT> gmail <DOT> com>
AuthorDate: Sat Oct 13 15:32:42 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 24 11:56:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2cfc06b5

sys-process/rtirq: version bump to 20180209

- Install systemd service file.
- Bump to EAPI 7.
- Drop explicit RDEPEND on sys-apps/util-linux.
- Group variables as in skel.ebuild.
- Update LICENSE to GPL-2+ in accordance with rtirq.sh.
- Do not use PN variable in src_install.
- Remove OpenRC specific code that was not very useful anyway.
- Use KV_LOCAL from linux-info to detect if the current kernel is
  realtime or not.
- Avoid using grep unnecessarily.

Closes: https://bugs.gentoo.org/653732
Signed-off-by: Karl Linden <karl.j.linden <AT> gmail.com>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10135
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sys-process/rtirq/Manifest              |  1 +
 sys-process/rtirq/rtirq-20180209.ebuild | 38 +++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/sys-process/rtirq/Manifest b/sys-process/rtirq/Manifest
index 57ca7c2065b..4c95062e111 100644
--- a/sys-process/rtirq/Manifest
+++ b/sys-process/rtirq/Manifest
@@ -1 +1,2 @@
 DIST rtirq-20150216.tar.gz 12249 BLAKE2B b138c3b274e7d0875fc18d21ff77291975f86d841cfd06d704b428bcf7e106fb06b4738a4d8dd88ca2e58fa719b8232ef8a61df0bd088c9a368497e27095bd39 SHA512 4cb4e3a8e314cec238c2a21c975bec258f229b660e0994893b73aa0b16f6041179ff4e220532fde237d70e15fd5420e22ee5dbf84168148060e760d76617b59c
+DIST rtirq-20180209.tar.gz 12290 BLAKE2B 432bf6c931b753d4d9a5d7c50a35b0fb9b2161d09c9f762b97a5aae88152de1f3d14a2a4ccc46d8607d7379e4a7a659d603cc09ee20017923b176359eb4b9133 SHA512 9de924e627b91d6df162b6c8c0c3421fbab11f08162abe98b0fac8742ea924a7e0a18aab23d828e19fe81dfdb70f2f6814c7195acbcbc93af9a339dc549190b2

diff --git a/sys-process/rtirq/rtirq-20180209.ebuild b/sys-process/rtirq/rtirq-20180209.ebuild
new file mode 100644
index 00000000000..5186ad22dd4
--- /dev/null
+++ b/sys-process/rtirq/rtirq-20180209.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit linux-info systemd
+
+DESCRIPTION="Modify realtime scheduling policy and priority of IRQ handlers"
+HOMEPAGE="http://www.rncbc.org/archive/#rtirq"
+SRC_URI="http://www.rncbc.org/archive/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+	get_version
+
+	# Correct config file path.
+	sed -i -e "s:^\(RTIRQ_CONFIG\=\)\(.*\):\1/etc/conf.d/rtirq:" ${PN}.sh || die
+	sed -i -e "s:/etc/sysconfig/rtirq:/etc/conf.d/rtirq:" ${PN}.conf || die
+
+	default
+}
+
+src_install() {
+	dosbin rtirq.sh
+	doinitd "${FILESDIR}"/rtirq
+	newconfd rtirq.conf rtirq
+	systemd_dounit rtirq.service
+}
+
+pkg_postinst() {
+	if [[ ${KV_LOCAL} != *rt* ]] ; then
+		elog "To use rtirq you need a realtime kernel."
+		elog "Realtime kernel sources are supplied in sys-kernel/rt-sources."
+	fi
+}


             reply	other threads:[~2018-10-24 11:58 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-24 11:58 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-10-24 11:58 [gentoo-commits] repo/gentoo:master commit in: sys-process/rtirq/ Michał Górny
2019-04-04 21:16 Aaron Bauman
2019-09-11 16:21 Michał Górny
2020-05-17 16:42 Joonas Niilola
2022-04-23  5:44 Joonas Niilola
2023-04-03  6:42 Viorel Munteanu
2023-04-03  6:42 Viorel Munteanu
2024-02-29 13:48 Joonas Niilola
2024-04-18 12:08 Yixun Lan
2024-04-18 12:08 Yixun Lan
2024-04-24 12:51 Conrad Kostecki

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1540382185.2cfc06b5af03ba8fc3369dfa013cdf7e60cbcb76.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox